package exports

import (
	"git.coopgo.io/coopgo-apps/parcoursmob/services"
	"git.coopgo.io/coopgo-platform/emailing"
	"github.com/spf13/viper"
)

type ExportsHandler struct {
	config   *viper.Viper
	services *services.ServicesHandler
	emailing *emailing.Mailer
}

func NewExportsHandler(cfg *viper.Viper, svc *services.ServicesHandler, emailing *emailing.Mailer) (*ExportsHandler, error) {
	return &ExportsHandler{
		config:   cfg,
		services: svc,
		emailing: emailing,
	}, nil
}
